# optimbase_hasbounds

Checks if the bounds are specified.

## Calling Sequence

                [opt, hasbounds] = optimbase_hasbounds(opt)

## Argument

opt

  The object of TOPTIM type (tlist).

hasbounds

  A boolean.

## Description

The `optimbase_hasbounds` function returns %t if current problem has bounds.

## Example

        opt = optimbase_new();

        // Set number of variables
        opt = optimbase_configure ( opt, "-numberofvariables", 2);

        // Set minimal and maximal bounds
        opt = optimbase_configure(opt, "-boundsmin",[-5 -5]');
        opt = optimbase_configure(opt, "-boundsmax",[5 5]');

        // Check if the bounds are specified
        [opt, hasbounds] = optimbase_hasbounds (opt);
        disp(hasbounds)

        opt = optimbase_destroy(opt);

## See Also

- optimbase_hasconstraints
- optimbase_hasnlcons
- optimbase_checkbounds